Module: WithAdvisoryLock

Extended by:
ActiveSupport::Autoload
Defined in:
lib/with_advisory_lock.rb,
lib/with_advisory_lock/base.rb,
lib/with_advisory_lock/mysql.rb,
lib/with_advisory_lock/flock.rb,
lib/with_advisory_lock/version.rb,
lib/with_advisory_lock/concern.rb,
lib/with_advisory_lock/postgresql.rb,
lib/with_advisory_lock/database_adapter_support.rb,
lib/with_advisory_lock/nested_advisory_lock_error.rb

Defined Under Namespace

Modules: Concern Classes: Base, DatabaseAdapterSupport, Flock, MySQL, NestedAdvisoryLockError, PostgreSQL, Result

Constant Summary collapse

FAILED_TO_LOCK =
Result.new(false)
VERSION =
Gem::Version.new('3.0.0')